<realtime>
    <div class="panel-body" style="padding: 0;">
        <div class="col-lg-12 col-xs-12" style="padding: 0;">
            <div id="realtime-map" style="width:100%;"></div>
            <sidebar/>
        </div>
    </div>
    <script>

        export default {
            onBeforeMount(props, state) {
                this.mapService = new MapService()
                this.realtimeService = new RealtimeService()
                this.mapService.clean()
                RealtimeDataHolder.getInstance().clean()
            },
            async onMounted(props, state) {
                localStorage.setItem(Settings.getValue("currentScreenKey"), 'sidebar')
                // フルスクリーン対応
                this.startFullScreen()
                await this.loadMap()

                riot.unmount('sidebar', {}, 'mapsidebar')
                riot.mount('sidebar',{}, 'mapsidebar')
                // $('positioninfowindow').hide()
            },
            onUnmounted() {
                this.endFullScreen()
                this.mapService.clean()
                RealtimeDataHolder.getInstance().clean()
            },
            startFullScreen() {

                $('div.row:last .col-lg-12').removeClass('panel-inner').css({'padding-right': '30px'})
                $('nav').removeClass('navbar')

                $("#map").css("height", ($(window).height() - $("nav.navbar-default").height() - 2));
                $(window).resize(function () {
                    $("#map").css("height", ($(window).height() - $("nav.navbar-default").height() - 2));
                });

                $('.panel').css('margin-bottom','0')
                $('footer').hide()
                $('body').css('overflow-y','hidden')
                $('.panel-inner').addClass('fullscreen')
            },
            endFullScreen() {
                $('div.row:last .col-lg-12').addClass('panel-inner').css({'padding-right': ''})
                $('nav').addClass('navbar')
                $('.panel').css('margin-bottom','24px')
                $('footer').show()
                $('body').css('overflow-y','auto')
                $('.panel-inner').removeClass('fullscreen')
            },
            async loadMap() {
                this.mapService.clean()
                // Mapコンポーネントの読み込み
                var view = await this.mapService.load()
                await this.realtimeService.load()

                if (view.message){
                    toastr.error(view.message)
                    return
                }

                // 地図の設置
                document.getElementById("realtime-map").appendChild(view)
                $('#realtime-map div:first').css('height', outerHeight)
                $('.labels').remove()
            },
        }
    </script>
</realtime>
